Skip to main content
GET
/
tenants
/
{tenant_id}
/
accounts
/
{account_id}
/
knowledge_base
/
collections
List all the currently existing collections
curl --request GET \
  --url https://api.prd.rad.security/tenants/{tenant_id}/accounts/{account_id}/knowledge_base/collections
import requests

url = "https://api.prd.rad.security/tenants/{tenant_id}/accounts/{account_id}/knowledge_base/collections"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.prd.rad.security/tenants/{tenant_id}/accounts/{account_id}/knowledge_base/collections', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "current_offset": 123,
  "has_more": true,
  "total_count": 123,
  "entries": [
    "<string>"
  ]
}
{
  "status": 123,
  "code": "<string>",
  "request_id": "<string>",
  "validation_details": [
    {
      "code": "<string>",
      "field": "<string>",
      "message": "<string>",
      "param": "<string>"
    }
  ]
}

Path Parameters

tenant_id
string
required

RAD tenant ID

account_id
string
required

RAD account ID

Query Parameters

limit
integer
default:50

Number of records to return

Required range: x >= 1
offset
integer
default:0

Requested record offset

Required range: x >= 0

Response

List of collections

A collection of collections that documents have been tagged with

current_offset
integer
required

The offset of the currently requested record set

has_more
boolean
required

If there are more records available

total_count
integer
required

The total number of records that match the criteria

entries
string[]
required